@REM *************** Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     %W%
@REM Version:  %I%
@REM Modified: %G% %U%
@REM Build:    %R% %L%
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM 5724-M19
@REM 
@REM (C) COPYRIGHT IBM CORP. 2006, 2008.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM **************************** End Standard Header *******************************
@REM ********************************************************************************
@REM 
@REM Defect   Name       Date      Description
@REM -------  ---------  --------  -----------------------------------------------
@REM f268595   rbinns    04/06/2011   initial creation
@REM ***************************** End Change History *******************************
@echo off
setlocal

call "%~dp0/../bin/setupPSIEnv.bat"

set CP=%CTG_CCMDB_HOME%\reconfig\lib\CTGInstallCommonTemp.jar;%CTG_CCMDB_HOME%\reconfig\lib\CTGPAEConfiguration.jar;%CTG_CCMDB_HOME%\reconfig\lib\CTGReconfigResources.jar;%CTG_CCMDB_HOME%\wasclient\com.ibm.ws.admin.client_6.1.0.jar;%CTG_CCMDB_HOME%\wasclient\com.ibm.ws.webservices.thinclient_6.1.0.jar;%CTG_CCMDB_HOME%\wasclient\com.ibm.ws.security.crypto_6.1.0.jar;%CP%;%CTG_CCMDB_HOME%\lib\ccmdb.jar

@REM IF "%WAS_HOME%" == "CTGPSIWASHOMEVariableToBeReplaced" GOTO NO_WAS_HOME
IF "%CTG_CCMDB_HOME%" == "CTGPSICCMDBHOMEVariableToBeReplaced" GOTO NO_CTG_CCMDB_HOME
IF "%JAVA_HOME%" == "JAVAHOMEVariableToBeReplaced" GOTO NO_JAVA_HOME
IF "%SI_HOME%" == "SIHOMEVariableToBeReplaced" GOTO NO_SI_HOME

"%JAVA_HOME%\bin\java.exe" -Xmx1024m -cp "%CP%"  -Dcom.ibm.tivoli.ccmdb.install.MaximoInstallLocation="%CTG_MAXIMO_HOME%" -Dcom.ibm.tivoli.ccmdb.install.InstallLocation="%CTG_CCMDB_HOME%" com.ibm.tivoli.madt.reconfig.ReconfigurationCLIHandler %*
goto end

:NO_CTG_CCMDB_HOME
@echo The CTG_CCMDB_HOME variable has not been set correctly.
set ERRORLEVEL=1
GOTO END

:NO_JAVA_HOME
@echo The JAVA_HOME variable has not been set correctly.
set ERRORLEVEL=1
GOTO END

:NO_SI_HOME
@echo The SI_HOME variable has not been set correctly.
set ERRORLEVEL=1
GOTO END

:END
exit /b %ERRORLEVEL%
